org.apache.xerces.xs

## Interface XSParticle

- All Superinterfaces:
    XSObject

      public interface XSParticle
      extends XSObject

  This interface represents the Particle schema component.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `XSObjectList` | `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
    `int` | `getMaxOccurs()` [max occurs]: determines the maximum number of terms that can occur.
    `boolean` | `getMaxOccursUnbounded()` [max occurs]: whether the maxOccurs value is unbounded.
    `int` | `getMinOccurs()` [min occurs]: determines the minimum number of terms that can occur.
    `XSTerm` | `getTerm()` [term]: one of a model group, a wildcard, or an element declaration.

    - ### Methods inherited from interface org.apache.xerces.xs.XSObject

      `getName, getNamespace, getNamespaceItem, getType`

- - ### Method Detail

    - #### getMinOccurs

          int getMinOccurs()

      [min occurs]: determines the minimum number of terms that can occur.

    - #### getMaxOccurs

          int getMaxOccurs()

      [max occurs]: determines the maximum number of terms that can occur. To query for the value of unbounded use `maxOccursUnbounded`. When the value of `maxOccursUnbounded` is `true`, the value of `maxOccurs` is unspecified.

    - #### getMaxOccursUnbounded

          boolean getMaxOccursUnbounded()

      [max occurs]: whether the maxOccurs value is unbounded.

    - #### getTerm

          XSTerm getTerm()

      [term]: one of a model group, a wildcard, or an element declaration.

    - #### getAnnotations

          XSObjectList getAnnotations()

      A sequence of [annotations] or an empty `XSObjectList`.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.